import http from '@/services/http'

/**
 * 查询市场运行信息
 */
export function queryMarketRun(params: Ermcp.MarketRunReq) {
    return http.commonRequest<Ermcp.MarketRunRsp[]>({
        url: '/Market/QueryMarketRun',
        params,
    })
}

/**
 * 首页统计数据
 */
export function homeData(params: Ermcp.HomeDataReq) {
    return http.commonRequest<Ermcp.HomeDataRsp>({
        url: '/Guangzuan/HomeData',
        params,
    })
}

/**
 * 获取服务器时间
 */
export function getServerTime() {
    return http.commonRequest<string>({
        url: '/Common/GetServerTime',
    })
}

/**
 * 查询交易端列表头信息
 */
export function queryTableDefine(params: Ermcp.TableDefineReq) {
    return http.commonRequest<Ermcp.TableDefineRsp[]>({
        url: '/Common/QueryTableDefine',
        params,
    })
}

/**
 * 查询所有枚举信息
 */
export function queryAllEnums(params?: Ermcp.EnumReq) {
    return http.commonRequest<Ermcp.EnumRsp[]>({
        url: '/Common/GetAllEnums',
        params,
    })
}

/**
 * 获取菜单表数据
 */
export function queryNewFuncmenu(params: Ermcp.NewFuncmenuReq) {
    return http.commonRequest<Ermcp.NewFuncmenuRsp[]>({
        url: '/Common/FindNewFuncmenu',
        params,
    })
}

/**
 * 插入菜单表数据
 */
export function insertNewFuncmenu(data: Partial<Ermcp.NewFuncmenuRsp>) {
    return http.commonRequest({
        method: 'post',
        url: '/Common/InsertNewFuncmenu',
        data,
    })
}

/**
 * 更新菜单表数据
 */
export function updateNewFuncmenu(data: Partial<Ermcp.NewFuncmenuRsp>) {
    return http.commonRequest({
        method: 'put',
        url: '/Common/UpdateNewFuncmenu',
        data,
    })
}

/**
 * 删除菜单表数据
 */
export function deleteNewFuncmenu(data: Partial<Ermcp.NewFuncmenuRsp>) {
    return http.commonRequest({
        method: 'delete',
        url: '/Common/DeleteNewFuncmenu',
        data,
    })
}

/**
 * 查询汇率信息
 */
export function queryRates(params?: Ermcp.RatesReq) {
    return http.commonRequest<Ermcp.RatesRsp[]>({
        url: '/Common/QueryRates',
        params,
    })
}

/**
 * 通知公告系统消息查询
 */
export function queryNotice(params: Ermcp.NoticeReq) {
    return http.commonRequest<Ermcp.NoticeRsp[]>({
        url: '/Common/QueryNotice',
        params,
    })
}

/**
 * 通知公告设置已读
 */
export function postNoticeReaded(data: Ermcp.NoticeReadedReq) {
    return http.commonRequest({
        method: 'post',
        url: '/Common/NoticeReaded',
        data,
    })
}

/**
 * 获取数据库错误信息
 */
export function queryErrorInfos(params?: Ermcp.ErrorInfosReq) {
    return http.commonRequest<Ermcp.ErrorInfosRsp[]>({
        url: '/Common/QueryErrorInfos',
        params,
    })
}

/**
 * 钻石价格计算器
 */
export function priceCalc(params: Partial<Ermcp.PriceCalcReq>) {
    return http.commonRequest<Ermcp.PriceCalcRsp[]>({
        url: '/Guangzuan/PriceCalc',
        params,
    })
}

/**
 * Rapaport最新报价表(广钻)
 */
export function gzCertAddressConfig() {
    return http.commonRequest<Ermcp.GzCertAddressConfigRsp[]>({
        url: '/Guangzuan/GzCertAddressConfig',
    })
}

/**
 * 钻石证书地址参数
 */
export function gzCertAddressParam() {
    return http.commonRequest<Ermcp.GzCertAddressParamRsp[]>({
        url: '/Guangzuan/GzCertAddressParam',
    })
}